## postfix-mta-sts-resolver 1.1.2

=== Makefile ===
PYTHON = python3
RM = rm
PKG_NAME = postfix_mta_sts_resolver
ARCH_NAME = postfix-mta-sts-resolver
MANPAGES = $(patsubst %.adoc,%,$(wildcard man/*.adoc))

PRJ_DIR = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
VENV ?= $(PRJ_DIR)venv
PKGVENV ?= $(PRJ_DIR)pkg_venv

install: $(VENV) setup.py
	$(VENV)/bin/python -m pip install -U .[sqlite,redis,dev]

$(VENV):
	$(PYTHON) -m venv $(VENV)
	$(VENV)/bin/python -m pip install -U wheel

uninstall: $(VENV)
	$(VENV)/bin/python -m pip uninstall -y $(PKG_NAME)

man/%:
	asciidoctor --backend=manpage $@.adoc

doc: $(MANPAGES)

clean:
	$(RM) -rf $(VENV) $(PKGVENV) dist/ build/ $(PKG_NAME).egg-info/ man/*.?

$(PKGVENV):
	$(PYTHON) -m venv $(PKGVENV)
	$(PKGVENV)/bin/python -m pip install -U setuptools wheel twine

pkg: $(PKGVENV)
	$(PKGVENV)/bin/python setup.py sdist bdist_wheel

$(PKG_NAME).egg-info/PKG-INFO: $(PKGVENV)
	$(PKGVENV)/bin/python setup.py egg_info

version: $(PKG_NAME).egg-info/PKG-INFO
	@echo Evaluating pagkage version...
	$(eval PKG_VERSION := $(if $(PKG_VERSION),$(PKG_VERSION),$(shell grep -Po '(?<=^Version: ).*' $<)))
	@echo Version = $(PKG_VERSION)

upload: pkg version
	$(PKGVENV)/bin/python -m twine upload dist/$(PKG_NAME)-$(PKG_VERSION)*

testupload: pkg version
	$(PKGVENV)/bin/python -m twine upload --repository-url https://test.pypi.org/legacy/ dist/$(PKG_NAME)-$(PKG_VERSION)*

archive: version
	git archive --prefix=$(ARCH_NAME)-$(PKG_VERSION)/ -o ../$(ARCH_NAME)-$(PKG_VERSION).tar.gz v$(PKG_VERSION)

.PHONY: install clean uninstall pkg version archive

## postfix-mta-sts-resolver 0.7.5

=== debian/changelog ===
postfix-mta-sts-resolver (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 26 Jan 2020 16:25:29 +0100

postfix-mta-sts-resolver (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtests reusing upstream functional tests.
  * Drop dependency on pynetstring, it is no longer needed.
  * Update copyright to 2020.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 12 Jan 2020 12:23:41 +0100

postfix-mta-sts-resolver (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Add rules-requires-root to control file.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Add upstream-contact to copyright file.

 -- Benjamin Hof <vexel@vexel.net>  Mon, 18 Nov 2019 20:43:13 +0100

postfix-mta-sts-resolver (0.6.0-1) unstable; urgency=medium

  * Initial packaging. (Closes: #917366)

 -- Benjamin Hof <vexel@vexel.net>  Sat, 17 Aug 2019 22:47:08 +0200

=== debian/control ===
Source: postfix-mta-sts-resolver
Maintainer: Benjamin Hof <vexel@vexel.net>
Section: mail
Priority: optional
Build-Depends: debhelper-compat (=12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-wheel,
               asciidoctor,
Standards-Version: 4.5.0
Homepage: https://github.com/Snawoot/postfix-mta-sts-resolver
Vcs-Browser: https://salsa.debian.org/debian/postfix-mta-sts-resolver
Vcs-Git: https://salsa.debian.org/debian/postfix-mta-sts-resolver.git
Rules-Requires-Root: no

Package: postfix-mta-sts-resolver
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         adduser,
         ca-certificates,
         python3-aiosqlite,
         python3-aioredis,
Recommends: python3-uvloop,
Enhances: postfix
Description: Daemon providing MTA-STS map to Postfix
 postfix-mta-sts-resolver provides a lookup daemon and command line query
 utility for MTA-STS policies (RFC 8461).  The daemon provides TLS client
 policy to Postfix via socketmap.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=postfix-mta-sts-resolver

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make doc

override_dh_auto_clean:
	dh_auto_clean
	make clean

## postfix-mta-sts-resolver 1.0.0

=== debian/changelog ===
postfix-mta-sts-resolver (1.0.0-4) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.  (Thanks to the Janitor Team.)

  [ Benjamin Hof ]
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Benjamin Hof <vexel@vexel.net>  Sat, 05 Dec 2020 20:24:01 +0100

postfix-mta-sts-resolver (1.0.0-3) unstable; urgency=medium

  * Service file: start after redis. (Closes: #968594)

 -- Benjamin Hof <vexel@vexel.net>  Tue, 18 Aug 2020 20:46:41 +0200

postfix-mta-sts-resolver (1.0.0-2) unstable; urgency=medium

  * Fixed bug in init script that caused package installation to fail under
    sysvinit. Reported and fix suggested by Stephan Seitz.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 26 Jul 2020 22:33:12 +0200

postfix-mta-sts-resolver (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add writable Unix domain socket location to service file.
  * Bump debhelper-compat level to 13.

 -- Benjamin Hof <vexel@vexel.net>  Wed, 17 Jun 2020 20:59:20 +0200

postfix-mta-sts-resolver (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Hof <vexel@vexel.net>  Tue, 14 Apr 2020 20:06:25 +0200

postfix-mta-sts-resolver (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Hof <vexel@vexel.net>  Sat, 04 Apr 2020 11:45:39 +0200

postfix-mta-sts-resolver (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benjamin Hof <vexel@vexel.net>  Tue, 24 Mar 2020 19:09:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Benjamin Hof <vexel@vexel.net>
 Section: mail
 Priority: optional
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-wheel,
                asciidoctor,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/Snawoot/postfix-mta-sts-resolver
 Vcs-Browser: https://salsa.debian.org/debian/postfix-mta-sts-resolver
 Vcs-Git: https://salsa.debian.org/debian/postfix-mta-sts-resolver.git

=== debian/tests/control ===
Tests: run
Depends: @, dnsmasq, nginx-extras, postfix, python3-cryptography
Restrictions: breaks-testbed, isolation-container, needs-root

## postfix-mta-sts-resolver 1.1.2

=== debian/changelog ===
postfix-mta-sts-resolver (1.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #996048)
  * Debian CI: testsuite now needs machine, not container.
  * Update salsa-ci.yml to currently recommended configuration.
  * Bump Standards-Version to 4.6.0.1, no changes needed.
  * Update copyright years.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 30 Jan 2022 20:13:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-wheel,
                asciidoctor,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Snawoot/postfix-mta-sts-resolver
 Vcs-Browser: https://salsa.debian.org/debian/postfix-mta-sts-resolver
 Vcs-Git: https://salsa.debian.org/debian/postfix-mta-sts-resolver.git

## postfix-mta-sts-resolver 1.4.0

=== debian/changelog ===
postfix-mta-sts-resolver (1.4.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1089790)
  * d/control: Upstream switches from aioredis to redis-py, reflect that in
    dependencies. (Closes: #1040331)
  * d/control: Add asyncpg dependency.
  * d/watch: Restore compatibility to Github.
  * d/copyright: bump years.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Benjamin Hof <vexel@vexel.net>  Sat, 29 Jun 2024 22:14:53 +0200

postfix-mta-sts-resolver (1.1.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:37:01 +0200

postfix-mta-sts-resolver (1.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:37:56 +0200

## postfix-mta-sts-resolver 1.5.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 PKGVENV ?= $(PRJ_DIR)pkg_venv
 
 install: $(VENV) setup.py
-	$(VENV)/bin/python -m pip install -U .[sqlite,redis,dev]
+	$(VENV)/bin/python -m pip install -U .[sqlite,redis,postgres,dev]
 
 $(VENV):
 	$(PYTHON) -m venv $(VENV)

=== debian/changelog ===
postfix-mta-sts-resolver (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * systemd service: wait until PostgreSQL is started.

 -- Benjamin Hof <vexel@vexel.net>  Mon, 10 Mar 2025 21:31:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
                python3-wheel,
                asciidoctor,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/Snawoot/postfix-mta-sts-resolver
 Vcs-Browser: https://salsa.debian.org/debian/postfix-mta-sts-resolver
 Vcs-Git: https://salsa.debian.org/debian/postfix-mta-sts-resolver.git
@@ -22,7 +22,8 @@
          adduser,
          ca-certificates,
          python3-aiosqlite,
-         python3-aioredis,
+         python3-asyncpg,
+         python3-redis,
 Recommends: python3-uvloop,
 Enhances: postfix
 Description: Daemon providing MTA-STS map to Postfix

=== debian/tests/control ===
Tests: run
Depends: @, dnsmasq, nginx-extras, postfix, python3-cryptography
Restrictions: breaks-testbed, isolation-machine, needs-root

=== debian/watch ===
version=4
opts=\
  pgpmode=next,\
  searchmode=plain \
  https://api.github.com/repos/Snawoot/@PACKAGE@/releases \
  https://github.com/Snawoot/@PACKAGE@/releases/download/v[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ \
  debian
opts=\
  pgpmode=previous,\
  searchmode=plain \
  https://api.github.com/repos/Snawoot/@PACKAGE@/releases \
  https://github.com/Snawoot/@PACKAGE@/releases/download/v[\d.]+/@PACKAGE@@ANY_VERSION@@SIGNATURE_EXT@ \
  previous
